algebra-3.1: Constructive abstract algebra

Safe Haskell | Safe-Inferred

Numeric.Partial.Group

# Documentation

class PartialMonoid a => PartialGroup a where Source

Methods

pnegate :: a -> Maybe aSource

pminus :: a -> a -> Maybe aSource

psubtract :: a -> a -> Maybe aSource

Instances

PartialGroup Int |
PartialGroup Int8 |
PartialGroup Int16 |
PartialGroup Int32 |
PartialGroup Int64 |
PartialGroup Integer |
PartialGroup Word |
PartialGroup Word8 |
PartialGroup Word16 |
PartialGroup Word32 |
PartialGroup Word64 |
PartialGroup () |
PartialGroup Natural |
PartialGroup a => PartialGroup (Morphism a) |
(PartialGroup a, PartialGroup b) => PartialGroup (a, b) |
(PartialGroup a, PartialGroup b, PartialGroup c) => PartialGroup (a, b, c) |
(PartialGroup a, PartialGroup b, PartialGroup c, PartialGroup d) => PartialGroup (a, b, c, d) |
(PartialGroup a, PartialGroup b, PartialGroup c, PartialGroup d, PartialGroup e) => PartialGroup (a, b, c, d, e) |